## org.apache.batik.dom
Class AbstractEntity

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractEntity

All Implemented Interfaces:
  org.w3c.dom.Entity, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  GenericEntity

public abstract class AbstractEntity
extends AbstractParentNode
implements org.w3c.dom.Entity

This class implements the `Entity` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected java.lang.String` `nodeName` The node name.
`protected java.lang.String` `publicId` The public id.
`protected java.lang.String` `systemId` The system id.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractEntity()`

Method Summary
`protected void` `checkChildType(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected org.w3c.dom.Node` `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` `getNodeType()` DOM: Implements `Node.getNodeType()`.
`java.lang.String` `getNotationName()` DOM: Implements `Entity.getNotationName()`.
`java.lang.String` `getPublicId()` DOM: Implements `Entity.getPublicId()`.
`java.lang.String` `getSystemId()` DOM: Implements `Entity.getSystemId()`.
`void` `setNodeName(java.lang.String v)` Sets the name of this node.
`void` `setNotationName(java.lang.String name)` Sets the notation name.
`void` `setPublicId(java.lang.String id)` Sets the public id.
`void` `setSystemId(java.lang.String id)` Sets the system id.

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode

`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, hasAttributes, isSupported, newNode, removeEventListener, setNextSibling, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected java.lang.String nodeName

  The node name.

### publicId

    protected java.lang.String publicId

  The public id.

### systemId

    protected java.lang.String systemId

  The system id.

Constructor Detail

### AbstractEntity

    public AbstractEntity()

Method Detail

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.ENTITY_NODE`

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Returns:
    `nodeName`.

### getPublicId

    public java.lang.String getPublicId()

  DOM: Implements `Entity.getPublicId()`.

  Specified by:
    `getPublicId` in interface `org.w3c.dom.Entity`
  Returns:
    `publicId`.

### setPublicId

    public void setPublicId(java.lang.String id)

  Sets the public id.

### getSystemId

    public java.lang.String getSystemId()

  DOM: Implements `Entity.getSystemId()`.

  Specified by:
    `getSystemId` in interface `org.w3c.dom.Entity`
  Returns:
    `systemId`.

### setSystemId

    public void setSystemId(java.lang.String id)

  Sets the system id.

### getNotationName

    public java.lang.String getNotationName()

  DOM: Implements `Entity.getNotationName()`.

  Specified by:
    `getNotationName` in interface `org.w3c.dom.Entity`
  Returns:
    `getNodeName()`.

### setNotationName

    public void setNotationName(java.lang.String name)

  Sets the notation name.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.